export declare class XInputSuggestion {
    /**
     * Element reference
     */
    el: HTMLElement;
    /**
     * Element input reference
     */
    private input;
    /**
     * On click element event listener
     */
    handleClick(): void;
    /**
     * On element is mounted
     */
    componentDidLoad(): void;
    /**
     * On element is destroyed
     */
    disconnectedCallback(): void;
    /**
     * Change the hightlight text on the suggestion item
     */
    computeSpanText(): void;
    /**
     * Render the component
     */
    render(): any;
}
